Kibana 7.16.0edit

For information about the Kibana 7.16.0 release, review the following information.

Breaking changesedit

Breaking changes can prevent your application from optimal operation and performance. Before you upgrade to 7.16.0, review the breaking changes, then mitigate the impact to your application.

To review the breaking changes in previous versions, refer to the following:

7.15 | 7.14 | 7.13 | 7.12 | 7.11 | 7.10 | 7.9 | 7.8 | 7.7 | 7.6 | 7.5 | 7.4 | 7.3 | 7.2 | 7.1 | 7.0

Updates browser support

Details
Google Chrome, Microsoft Edge, Mozilla Firefox, and ApplemSafari browser support has been updated. For more information, refer to #112523.

Impact
Use the following supported browsers:

  • Chrome 92
  • Edge 92
  • Firefox 91.0
  • Safari 14.1
Removes legacy data table

Details
The legacy aggregation-based data table and vis_type_table.legacyVisEnabled setting are no longer supported. For more information, refer to #111339.

Impact
To auto-fit the table row height, create an aggregation-based data table, click Options, then select Auto fit rows to content.

Removes the legacy area, bar, and line charts library

Details
The legacy aggregation-based area, bar, and line charts are no longer supported. For more information, refer to #110786.

Impact
When you upgrade to 7.16.0, you are only able to create area, bar, and line charts using the new implementation.

Removes the Timelion app

Details
The Timelion app is no longer supported. For more information, refer to #110255

Impact
When you upgrade to 7.16.0, you are unable to use the Timelion app. The Timelion visualization editor is still supported.

Replaces Osquery scheduled query groups with packs

Details
Queries are now scheduled using packs. For more information, refer to #107345.

Impact
When you upgrade to 7.16.0, any existing scheduled query groups are converted to packs. Queries in the updated packs are scheduled for the same agent policy as the original scheduled query group. Action IDs for scheduled queries in a pack have the format pack_<pack_name>_<query ID>.

Deprecationsedit

The following functionality is deprecated in 7.16.0, and will be removed in 8.0.0. Deprecated functionality does not have an immediate impact on your application, but we strongly recommend you make the necessary updates after you upgrade to 7.16.0.

For the Elastic Security 7.16.0 deprecations, refer to Elastic Security Solution Release Notes.

Adds levels to rule registry deprecations

Details
Levels are now explicitly in deprecation configurations. For more information, refer to #118363.

Impact
Levels for deprecations are explicitly set.

Deprecates search:includeFrozen

Details
The search:includeFrozen advanced setting is deprecated and will be removed in 9.0.0. For more information, refer to #114578.

Impact
In 7.16.0, there is no impact.

Sets ignore_throttled when search:includeFrozen is true

Details
When the search:includeFrozen advanced setting is set to true, ignore_throttled is conditionally configured. For more information, refer to #114381.

Impact
When you open Upgrade Assistant, then click View deprecation logs in Observability, ignore_throttled deprecation logs appear.

Deprecates xpack.reporting.capture.viewport

Details
The xpack.reporting.capture.viewport settings are deprecated and will be removed in 8.0.0. For more information, refer to #114019.

Impact
When you upgrade to 8.0.0, you are unable to use the xpack.reporting.capture.viewport settings.

Removes the apm_oss plugin and deprecates related settings

Details
The apm_oss plugin has been removed as a dependency of the apm plugin, and the apm_oss settings have been deprecated and moved to the xpack.apm.indices* configuration path. For more information, refer to #113364.

Impact
Update the following settings:

  • apm_oss.errorIndices is deprecated. Use xpack.apm.indices.error.
  • apm_oss.metricsIndices is deprecated. Use xpack.apm.indices.metric.
  • apm_oss.onboardingIndices is deprecated. Use xpack.apm.indices.onboarding.
  • apm_oss.sourcemapIndices is deprecated. Use xpack.apm.indices.sourcemap.
  • apm_oss.spanIndices is deprecated. Use xpack.apm.indices.span.
  • apm_oss.transactionIndices is deprecated. Use xpack.apm.indices.transaction.
Deprecates proxyFilter and proxyConfig

Details
The proxyFilter and proxyConfig settings are deprecated and will be removed in 8.0.0. For more information, refer to #113555.

Impact
Before you upgrade to 8.0.0, remove console.proxyFilter from kibana.yml, CLI flag, or Docker environment variable, then use the server.ssl.* and elasticsearch.ssl.keyPassphrase>> settings.

Deprecates KIBANA_PATH_CONF

Details
The KIBANA_PATH_CONF environment variable is deprecated and will be removed in 8.0.0. For more information, refer to #111550.

Impact
Use KBN_PATH_CONF.

Featuresedit

Kibana 7.16.0 adds the following new and notable features.

APM
  • Adds chart for failed transaction correlations #110172
  • Correlations chart enhancements #113039
Canvas
Elastic Security
For the Elastic Security 7.16.0 release information, refer to Elastic Security Solution Release Notes.
Lens & Visualizations
  • Adds reference lines to Lens #108342
  • Support custom field format in TSVB #101245
Observability
  • Adds "Add to case" button #112463
Machine Learning
  • Adds the ability to change data view in advanced job wizard #115191
  • Adds KQL filter bar, filtering functionality, and compact design to Index data visualizer #112870
Management
  • Adds alerting rules management to Transform UI #115363
  • Transforms health alerting rule type #112277
  • Allow fields that start with an underscore in the field list #111238
Platform
  • Inspect flyout should be available in editor mode #109656
Sharing
  • Short URL service now supports human readable slugs for short URLs #107859

For more information about the features introduced in 7.16.0, refer to What’s new in 7.16.